cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/customers/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.masivo.ai/api/storefront/v1/customers/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.masivo.ai/api/storefront/v1/customers/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"funded_by": "MARKETING",
"event_type": "PURCHASE",
"reward_type": "POINTS",
"reward_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"cost": 123,
"details": "<string>",
"type": "ACCUMULATION",
"receiver_id": "<string>",
"sender_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"attributes": {
"line": {
"amount": 123,
"reward_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issued_at": "2023-11-07T05:31:56Z",
"expiration_date": "2023-11-07T05:31:56Z",
"reservation_expires_at": "2023-11-07T05:31:56Z"
},
"campaign_name": "<string>"
},
"metadata": {}
}
]
}{
"error": "<string>",
"details": "<string>"
}Transactions
Customer transactions
Get transactions of a customer. By default it returns the transactions of the last 3 months.
GET
/
customers
/
{id}
/
transactions
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer unique identifier in your system
Query Parameters
The year to filter transactions
Required range:
x >= 2020The brand id to filter transactions
The reward id to filter transactions
The transaction type to filter transactions
Available options:
ACCUMULATION, REDEMPTION, EXPIRATION, MIGRATION, TRANSFER, REVERSAL Response
Ok
Show child attributes
Show child attributes
⌘I